Referenceimports
Preview an external-source import
Query Parameters
source*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/imports/preview?source=string"{ "source": "string", "sourceKind": "github", "upstreamHash": "string", "candidates": [ { "name": "string", "description": "string", "path": "string", "manifestValid": true, "warnings": [ "string" ] } ], "stars": null}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}